<< impz | FOSSEE_Signal_Processing_Toolbox | intfilt >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > impzlength

# impzlength

Compute the impulse response length.

### Syntax

    len = impzlength(b, a, tol)
    len = impzlength(sos)
    len = impzlength(__, tol)

### Parameters

b:

  Numerator coefficients (real|complex, vector|scalar).

a:

  Denominator coefficients (real|complex, vector|scalar).

sos:

  Second-order estimates (real|complex, matrix K-by-6).

tol:

  Tolerance for estimating the effective length (positive real, scalar).

### Description

The `impzlength` function computes the impulse response length for a causal discrete-time filter. For stable IIR filters, it returns the effective length, i.e., the length after which the response is essentially zero. It supports transfer function coefficients or second-order section matrices.

### Examples

    // Low pass IIR filter with pole at 0.9
    b = 1
    a = [1 -0.9]
    len = impzlength(b, a)

    // High pass IIR filter with pole at -0.5
    b = 1
    a = [1 0.5]
    len = impzlength(b, a)

### See also

- designfilt
- digitalFilter
- impz,
- zp2sos — This function converts filter poles and zeros to second-order sections.

### Authors

- Ayush Baid

Report an issue
<< impz | FOSSEE_Signal_Processing_Toolbox | intfilt >>